# $Revision: 1.61 $, $Date: 2011/03/05 18:16:59 $
#
# Conditional build:
%bcond_with	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	IO
%define		pnam	Tty
Summary:	IO::Tty and IO::Pty - interface to pseudo-ttys
Summary(pl.UTF-8):	IO::Tty i IO::Pty - interfejs do pseudo-tty
Name:		perl-IO-Tty
Version:	1.10
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/T/TO/TODDR/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	46baec86a145e57f0ec661fa412b097c
URL:		http://search.cpan.org/dist/IO-Tty/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-dirs >= 1.0-6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
IO::Tty is used internally by IO::Pty to create a pseudo-tty.

IO::Pty provides an interface to allow the creation of a pseudo tty.

%description -l pl.UTF-8
Moduł IO::Tty jest używany wewnętrznie poprzez IO::Pty do tworzenia
pseudoterminali (pseudo-tty).

Moduł IO::Pty udostępnia interfejs pozwalający na utworzenie
pseudoterminala.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%{perl_vendorarch}/IO/Pty.pm
%{perl_vendorarch}/IO/Tty.pm
%{perl_vendorarch}/IO/Tty
%dir %{perl_vendorarch}/auto/IO/Tty
%{perl_vendorarch}/auto/IO/Tty/Tty.bs
%attr(755,root,root) %{perl_vendorarch}/auto/IO/Tty/Tty.so
%{_mandir}/man3/IO::Pty.3pm*
%{_mandir}/man3/IO::Tty*.3pm*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-IO-Tty.spec,v $
Revision 1.61  2011/03/05 18:16:59  qboosh
- updated to 1.10
- mention IO::Pty in descs

Revision 1.60  2010/11/12 23:38:06  pawelz
- release 3

Revision 1.59  2010/06/06 08:38:13  arekm
- release 2

Revision 1.58  2009/09/15 09:41:32  amateja
- updated to 1.08

Revision 1.57  2009/03/14 11:49:27  hawk
- release 4

Revision 1.56  2008/03/02 21:16:57  radek
- release 3

Revision 1.55  2008-02-10 12:12:51  arekm
- rel 2

Revision 1.54  2008-01-10 08:38:38  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.53  2007-07-12 19:44:22  radek
- version 1.07

Revision 1.52  2007/03/31 11:27:43  qboosh
- unified pl

Revision 1.51  2007/03/31 11:26:22  qboosh
- generic URL, pl summary fix

Revision 1.50  2007/03/27 18:24:38  radek
- rel 3

Revision 1.49  2007/03/27 18:08:47  radek
- tests off (failing on builders due to environment)

Revision 1.48  2007/02/13 07:47:12  glen
- tabs in preamble

Revision 1.47  2007/02/12 00:49:35  baggins
- converted to UTF-8

Revision 1.46  2006/10/21 19:53:59  ankry
- %{perl_vendorarch}/IO moved to perl-dirs, rel. 2

Revision 1.45  2006/06/26 08:03:30  maciek2w
- updated 1.05

Revision 1.44  2006/06/01 06:53:41  blaass
- up to 1.03

Revision 1.43  2004/11/03 22:30:27  paladine
- formatting

Revision 1.42  2004/06/05 18:10:40  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.41  2004/05/07 00:39:42  ankry
- rel. 6

Revision 1.40  2004/05/06 18:09:43  ankry
- fixed perl-devel BR

Revision 1.39  2004/04/25 00:50:56  ankry
- cosmetics: unification

Revision 1.38  2004/04/22 12:52:34  ankry
- license fixes & unification

Revision 1.37  2004/04/20 23:30:13  ankry
- ported to new bconds

Revision 1.36  2004/04/14 20:46:28  ankry
- cosmetics, unification

Revision 1.35  2003/09/09 10:24:38  ankry
- spaces -> tab

Revision 1.34  2003/08/18 08:08:52  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.33  2003/05/28 13:00:43  malekith
- massive attack: source-md5

Revision 1.32  2003/05/25 06:24:41  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.31  2003/04/11 18:59:24  radek
- BR: perl-devel; do not BR: perl

Revision 1.30  2003/03/01 19:37:07  radek
- should be ready for perl-5.8.0; release++

Revision 1.29  2003/02/24 20:31:54  radek
- use the __perl macro

Revision 1.28  2003/02/18 15:33:35  ankry
- massive attack: change CPAN URLs

Revision 1.27  2002/08/15 17:50:27  qboosh
- pl description, added conditional tests, release 4

Revision 1.26  2002/08/11 19:36:48  radek
- release up

Revision 1.25  2002/08/11 19:32:51  radek
- (automatic) provided informative description

Revision 1.24  2002/07/18 13:28:33  ankry
- translations, cleaning
- added %%doc
- added %%{perl_sitearch}/auto/IO
- fixed *.so permission; removed .packlist
- release 2

Revision 1.23  2002/07/11 13:00:58  qboosh
- new %%doc, cosmetics

Revision 1.22  2002/07/11 08:00:27  depesz
- new version; should work; STBR

Revision 1.21  2002/07/10 08:47:44  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.20  2002/05/11 14:28:09  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.19  2002/02/25 10:32:26  depesz
cleanup; revision++

Revision 1.18  2002/02/22 23:29:29  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/02/13 14:17:44  depesz
automatic: Source location unified, Relase Up

Revision 1.16  2002/02/10 15:27:49  depesz
adapterized

Revision 1.15  2002/01/18 02:14:20  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2001/10/10 15:22:36  mis
- autoupdated to 0.05

Revision 1.13  2001/04/30 16:05:27  kloczek
- added using %%{rpmcflags} macro.

Revision 1.12  2001/04/17 12:11:10  baggins
- release 3
- rebuild with perl 5.6.1

Revision 1.11  2001/04/14 18:00:07  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.10  2001/01/25 20:03:45  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.9  2001/01/08 22:17:56  kloczek
- release 2: cleanups.

Revision 1.8  2000/12/23 00:48:46  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.7  2000/12/06 18:41:13  kloczek
- updated to 0.04,
- rebuild against perl 5.6,
- added using new rpm automation.

Revision 1.6  2000/08/22 00:29:52  kloczek
- updated to 0.03,
- removed outdated make patch.

Revision 1.5  2000/06/09 07:23:37  kloczek
- added using %%{__make} macro.

Revision 1.4  2000/05/20 21:58:00  kloczek
- spec adapterized.

Revision 1.3  2000/04/01 11:15:19  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  2000/03/28 16:54:54  baggins
- translated kloczkish into english

Revision 1.1  1999/11/05 17:03:41  pius
- initial release
